curl --request GET \
--url https://api.synctera.com/v2/cash \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v2/cash"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v2/cash', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transfers": [
{
"amount": 10000,
"dc_sign": "DEBIT",
"effective_date": "2022-03-18",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_same_day": true,
"reference_id": 123456789,
"status": "POSTED",
"subtype": "CASH_ORDER",
"tenant_id": "abcdef_ghijkl",
"source_data": {},
"client_bank_account": 123456789,
"client_name": "Fintech A",
"customer_id": "46fec39e-e776-4571-bf90-d0e1d15172fe",
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"destination_account_number": 1344012344,
"destination_account_owner_name": "<string>",
"failed": false,
"history": [
{
"data": {},
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"network_status": "POSTED",
"original_reference_id": 123456788,
"originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"originating_account_number": 1961234745,
"originating_account_owner_name": "<string>",
"posting_date": "2022-03-18",
"suspended": false,
"transaction_id": "45b5246f-ad97-4629-9aac-465b74a05505"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get cash transfers
Get all cash transfers
🚧 Alpha > This is an Alpha spec-only endpoint. Feedback from the community is welcome. We may make breaking changes.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Cashier Transfer ID
Bank ID of the transfer
Partner ID of the transfer
Customer ID of the transfer
Originating account ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Destination account ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Originating account number
"123456789"
Destination account number
"987654321"
Originating account owner name
Destination account owner name
"Jane Joe"
Status of the transfer
Network status of the transfer
Subtype of the transfer
DC sign of the transfer
Effective date of the transfer
From effective date of the transfer
To effective date of the transfer
Posting date of the transfer
From posting date of the transfer
To posting date of the transfer
Amount of the transfer
100
Minimum amount of the transfer
x >= 1100
Maximum amount of the transfer
x >= 1100
Currency of the transfer
"CAD"
Reference ID of the transfer
Is same day transfer
Was this page helpful?

